%define	_exec_prefix	/

Summary:	The GNU line editor
Name:		ed
Version:	0.4
Release:	%mkrel 1
License:	GPL
Group:		Text tools
URL:		http://www.gnu.org/software/ed/ed.html
Source0:	ftp://ftp.gnu.org/pub/gnu/ed/ed-%{version}.tar.bz2
Patch0:		ed-0.4-install.patch
Requires(post): info-install
Requires(preun):info-install
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ed is a line-oriented text editor, used to create, display, and modify text
files (both interactively and via shell scripts).  For most purposes, ed has
been replaced in normal usage by full-screen editors (emacs and vi, for
example).

Ed was the original UNIX editor, and may be used by some programs.  In general,
however, you probably don't need to install it and you probably won't use it
much.

%prep
%setup -q
%patch0 -p1

%build
./configure --exec-prefix=%{_exec_prefix} --prefix=/usr --sysconfdir=/etc

%make CFLAGS="%{optflags}"

# all tests must pass
make check

%install
rm -rf %{buildroot}

%makeinstall

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc NEWS README AUTHORS TODO ChangeLog
/bin/ed
/bin/red
%{_infodir}/ed.info*
%{_mandir}/*/*


%changelog
* Tue Jan 23 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.4-1mdv2007.0
+ Revision: 112641
- new bleeding edge version 0.4
- dropped unneeded patches:
  . ed-0.2-li18nux-patch
  . ed-0.2-fixinfo.patch
  . ed-0.2-security-tempfile.patch
- added patch for install adjustments:
  . ed-0.4-install.patch
- 'configure' is not autotools based anymore, hooray!
- POSIX conformance info moved from POSIX to README
- THANKS file renamed to AUTHORS
- small spec cleanup

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-33mdv2007.1
+ Revision: 86391
- Import ed



* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-33mdv2007.1
- bunzip patches
- fix deps

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2-32mdk
- Rebuild

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2-31mdk
- force the use of autoconf2.1
- cosmetics

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2-30mdk
- rebuild
- drop Packager tag
- use %%make macro

* Mon Nov 11 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.2-29mdk
- Patch for Li18NUX/LSB compliance

* Thu Jul 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2-28mdk
- Costlessly make check in %%build stage

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2-27mdk
- Automated rebuild in gcc3.1 environment

* Wed Jan  2 2002 Warly <warly@mandrakesoft.com> 0.2-26mdk
- add url tag

* Thu Aug 30 2001 Warly <warly@mandrakesoft.com> 0.2-25mdk
- new distribution tag

* Fri Mar 02 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-24mdk
- Fix info files.

* Sat Dec  9 2000 Etienne Faure  <etienne@mandraksoft.com> 0.2-23mdk
- Rebuilt for release

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-22mdk
- Optimisations.
- Add security patch for tempfile open.

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-21mdk
- fix bad script

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-20mdk
- minor fix

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2-19mdk
- macroszifications
- BM
* Wed Jun 07 2000 Etienne Faure <etienne@mandrakesoft.com> 0.2-18mdk
- rebuild on kenobi

* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-17mdk
- Clean-up specs.
- * Sun Apr 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- let the spechelper handle compressing man / info pages

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-16mdk
- move to Text tools group

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add defattr

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- fix typo in %preun
- fix download URL

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
